Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.client.lookup
Class JMXHelper

    java.lang.Object
      com.bea.dsp.management.client.lookup.JMXHelper

    public class JMXHelper

extends java.lang.Object

A utility class to hide the complexities of jmx handling of all the mbean on the server side. The methods hide the hierarchical nature of lookup. There is one global domain service mbean. Within this mbean are one session mbean per config session created by the user. within the session mbean one will have one administrative mbean per dataspace (that makes it one per session per dataspace). From administrative mbeans one can navigate to mbeans for data space, data services and data sources which are again one per session and dataspace.

Nested Class Summary
`static class` | `JMXHelper.Factory`

Constructor Summary
`protected` | `JMXHelper(MBeanServerConnectionFactory factory)`

Method Summary
`AdministrationServiceMBean` | `lookupAdministrationServiceMBean(java.lang.String sessionName, java.lang.String dataSpaceId)`
`DataServicesConfigMBean` | `lookupDataServicesConfigMBean(java.lang.String sessionName, java.lang.String dataSpaceId)`
`DataSourcesConfigMBean` | `lookupDataSourcesConfigMBean(java.lang.String sessionName, java.lang.String dataSpaceId)`
`DataSpaceConfigMBean` | `lookupDataSpaceConfigMBean(java.lang.String sessionName, java.lang.String dataSpaceId)`
`DataSpaceRuntimeServiceMBean` | `lookupDataSpaceRuntimeServiceMBean(java.lang.String dataSpaceName)` Looks up the runtime mbean and return a proxy for it.
`DomainServiceMBean` | `lookupDomainService()`
`
`<T> T`
` | `lookupMBean(javax.management.ObjectName name, java.lang.Class<T> clazz)`
`MetadataServiceMBean` | `lookupMetadataServiceMBean(java.lang.String sessionName, java.lang.String dataSpaceId)`
`SessionMBean` | `lookupSessionMBean(java.lang.String sessionName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXHelper

    protected JMXHelper(MBeanServerConnectionFactory factory)

Method Detail

### lookupMBean

    public <T> T lookupMBean(javax.management.ObjectName name,
                             java.lang.Class<T> clazz)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lookupDomainService

    public DomainServiceMBean lookupDomainService()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lookupSessionMBean

    public SessionMBean lookupSessionMBean(java.lang.String sessionName)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lookupAdministrationServiceMBean

    public AdministrationServiceMBean lookupAdministrationServiceMBean(java.lang.String sessionName,
                                                                       java.lang.String dataSpaceId)
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lookupDataSpaceConfigMBean

    public DataSpaceConfigMBean lookupDataSpaceConfigMBean(java.lang.String sessionName,
                                                           java.lang.String dataSpaceId)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lookupDataServicesConfigMBean

    public DataServicesConfigMBean lookupDataServicesConfigMBean(java.lang.String sessionName,
                                                                 java.lang.String dataSpaceId)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lookupDataSourcesConfigMBean

    public DataSourcesConfigMBean lookupDataSourcesConfigMBean(java.lang.String sessionName,
                                                               java.lang.String dataSpaceId)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lookupMetadataServiceMBean

    public MetadataServiceMBean lookupMetadataServiceMBean(java.lang.String sessionName,
                                                           java.lang.String dataSpaceId)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lookupDataSpaceRuntimeServiceMBean

    public DataSpaceRuntimeServiceMBean lookupDataSpaceRuntimeServiceMBean(java.lang.String dataSpaceName)
                                                                    throws java.lang.Exception

  Looks up the runtime mbean and return a proxy for it. Looks up the local server only.

  Parameters:
    `dataSpaceName` -
  Returns:
    runtime proxy
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.